#!/usr/bin/ruby

require 'hpricot'
require 'open-uri'

user = 'aredridel'
pass = 'changeme'

print "Content-Type: text/xml\n\n"

foaf = Hpricot::XML(open("http://#{user}.livejournal.com/data/foaf") do |f| f.read end) 
puts %{<?xml version="1.0"?>
<opml version="1.0">
  <head>
      <title>Livejournal Friends</title>
  </head>
  <body>}
(foaf / '//foaf:Person').each do |person|
	title = (person/'foaf:nick/text()').first
	rn = (person/'foaf:member_name/text()').first
	puts "<outline 
		title='#{title} (#{rn})' 
		text='#{title} (#{rn})' 
		description='#{(person/'foaf:tagLine/text()').first}' 
		type='pie' 
		id='#{title}' 
		htmlUrl='#{(person / 'foaf:weblog').first.attributes['rdf:resource']}' 
		xmlUrl='#{(person/'foaf:weblog').first.attributes['rdf:resource'].sub('http://', "http://#{user}:#{pass}") + 'data/atom?auth=digest'}' />"
end
puts %{</body></opml>}
